/****************************************
Превью
*****************************************/
.u-case__card {
    border-radius: 8px;
    border: 1px solid var(--color-primary);
    background: white;
    height: 300px;
    overflow: hidden;
    padding: 12px 24px;
}

.u-case__name {
    color: var(--color-black);
    font-size: var(--font-size-medium);
    font-family: var(--font-primary);
}

.u-case__name_header {
    border-bottom: 1px solid var(--color-primary);
    height: 43px;
}

.u-case__preview-text {
    display: block;
    overflow: hidden;
}

.u-case__border {
    height: 40px;
    background: linear-gradient(to right, white 1px, transparent 1px) 0 100%, linear-gradient(to left, var(--color-primary) 1px, transparent 1px) 100% -18px, linear-gradient(to bottom, var(--color-primary) 1px, transparent 1px) 30px 0, linear-gradient(to top, white 1px, transparent 1px) 0 100%;
    background-repeat: no-repeat;
}

.u-case__border img {
    position: relative;
    display: block;
    margin-top: 5px;
    z-index: 2;
}

.u-case__image {
    max-height: 30px;
    width: auto !important;
    max-width: 60px;
    padding-right: 12px;
}

/****************************************
Отображение при наведении
*****************************************/

.u-case__info {
    background: white;
    width: 100%;
    padding-left: 28px;
    padding-right: 28px;
    padding-top: 16px;
}

.u-case__info_bottom {
    height: 50px;
    width: 100%;
    background: white;
    position: absolute;
    bottom: 0;
}

.u-case__info_button {
    font-size: var(--font-size-small);
    padding: 0 60px;
    height: 36px;
    border-radius: 4px;
    border: 2px solid var(--color-primary);
    background: #FFF;
    text-align: center;
}

.u-case__info_button:hover {
    background-color: var(--color-primary);
    color: white;
}

.u-case__info_button:hover a {
    color: white;
}

.u-case__link {
    color: var(--color-primary-dark);
    /* margin-right: 70px; */
    font-size: var(--font-size-small);
}

.u-case__link:hover {
    color: var(--color-primary-dark);
}

.u-case__hidden_block {
    display: none;
}

/*********************************************************************
Адаптивка
**********************************************************************/

.u-case__bottom_mobile {
    background: white;
    padding-right: 14px;
    /* width: 94%; */
    bottom: 1px;
    padding-bottom: 15px;
    padding-top: 25px;
}

@media (max-width: 1399.98px) {
    .u-case__info_button {
        font-size: var(--font-size-extra-small);
        padding: 0 40px;
    }

    .u-case__link {
        font-size: var(--font-size-extra-small);
    }
}

@media (max-width: 1199.98px) {

    .u-case__info_button {
        padding: 0 5px;
    }

    /* .u-case__link {
        margin-right: 45px;
    } */

    .u-case__border {
        background: linear-gradient(to right, white 1px, transparent 1px) 0 100%, linear-gradient(to left, var(--color-primary) 1px, transparent 1px) 100% -18px, linear-gradient(to bottom, var(--color-primary) 1px, transparent 1px) 5px 0, linear-gradient(to top, white 1px, transparent 1px) 0 100%;
        background-repeat: no-repeat;
    }
}

@media (max-width: 991.98px) {

    .u-case__info_button,
    .u-case__link {
        font-size: var(--font-size-small);
    }

    .u-case__border {
        background: linear-gradient(to right, white 1px, transparent 1px) 0 100%, linear-gradient(to left, var(--color-primary) 1px, transparent 1px) 100% -18px, linear-gradient(to bottom, var(--color-primary) 1px, transparent 1px) 40px 0, linear-gradient(to top, white 1px, transparent 1px) 0 100%;
        background-repeat: no-repeat;
    }

    .u-case__info_button {
        width: 100%;
    }

    .u-case__button {
        position: inherit;
    }

    .u-case__info {
        display: none;
    }

    .u-case__bottom_mobile {
        background: white;
        padding-right: 14px;
        width: 94%;
        bottom: 1px;
        padding-bottom: 20px;
        padding-top: 25px;
    }

    .u-case__card {
        height: 325px;
    }
}

@media (max-width: 767.98px) {

    .u-case__link {
        justify-content: start;
    }

    .u-case__bottom_mobile {
        padding-bottom: 23px;
        width: 92%;
    }

    .u-case__info_button,
    .u-case__link {
        font-size: var(--font-size-extra-small);
    }

    .u-case__border {
        background: linear-gradient(to right, white 1px, transparent 1px) 0 100%, linear-gradient(to left, var(--color-primary) 1px, transparent 1px) 100% -18px, linear-gradient(to bottom, var(--color-primary) 1px, transparent 1px) 15px 0, linear-gradient(to top, white 1px, transparent 1px) 0 100%;
        background-repeat: no-repeat;
    }
}

@media (max-width: 575.98px) {
    .u-case__bottom_mobile {
        padding-bottom: 15px;
        width: 88%;
    }

    .u-case__info_button {
        padding: 0;
    }

    .u-case__border {
        background: linear-gradient(to right, white 1px, transparent 1px) 0 100%, linear-gradient(to left, var(--color-primary) 1px, transparent 1px) 100% -18px, linear-gradient(to bottom, var(--color-primary) 1px, transparent 1px) 50px 0, linear-gradient(to top, white 1px, transparent 1px) 0 100%;
        background-repeat: no-repeat;
    }
}

@media (max-width: 500.98px) {
    .u-case__border {
        background: linear-gradient(to right, white 1px, transparent 1px) 0 100%, linear-gradient(to left, var(--color-primary) 1px, transparent 1px) 100% -18px, linear-gradient(to bottom, var(--color-primary) 1px, transparent 1px) 35px 0, linear-gradient(to top, white 1px, transparent 1px) 0 100%;
        background-repeat: no-repeat;
    }
}

@media (max-width: 500.98px) {
    .u-case__border {
        background: linear-gradient(to right, white 1px, transparent 1px) 0 100%, linear-gradient(to left, var(--color-primary) 1px, transparent 1px) 100% -18px, linear-gradient(to bottom, var(--color-primary) 1px, transparent 1px) 35px 0, linear-gradient(to top, white 1px, transparent 1px) 0 100%;
        background-repeat: no-repeat;
    }
}

@media (max-width: 449.98px) {
    .u-case__border {
        background: linear-gradient(to right, white 1px, transparent 1px) 0 100%, linear-gradient(to left, var(--color-primary) 1px, transparent 1px) 100% -18px, linear-gradient(to bottom, var(--color-primary) 1px, transparent 1px) 25px 0, linear-gradient(to top, white 1px, transparent 1px) 0 100%;
        background-repeat: no-repeat;
    }
}

@media (max-width: 400.98px) {
    .u-case__border {
        background: linear-gradient(to right, white 1px, transparent 1px) 0 100%, linear-gradient(to left, var(--color-primary) 1px, transparent 1px) 100% -18px, linear-gradient(to bottom, var(--color-primary) 1px, transparent 1px) 15px 0, linear-gradient(to top, white 1px, transparent 1px) 0 100%;
        background-repeat: no-repeat;
    }
}